Bug 838802 - 3.1 - Add config option to enable/disable sanlock
3.1 - Add config option to enable/disable sanlock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: alpha
: ---
Assigned To: Federico Simoncelli
Leonid Natapov
storage
:
Depends On:
Blocks: 843467
  Show dependency treegraph
 
Reported: 2012-07-10 03:58 EDT by Andrew Cathrow
Modified: 2014-09-07 18:55 EDT (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-24.0
Doc Type: Bug Fix
Doc Text:
SANLock was introduced in Red Hat Enterprise Virtualization 3.1, but there was no option to control the volume leases mechanism. This change provides a vdsm.conf option to enable control of the volume leases, but it is disabled by default.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:02:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cathrow 2012-07-10 03:58:40 EDT
Create vdsm.conf options to enable/disable sanlock.
Default should be disable.
Comment 4 Federico Simoncelli 2012-07-12 06:00:43 EDT
A patch has been proposed upstream:

commit 2a0acf123c758ad999b0a81dbfbb9cdde03291a1
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Wed Jul 11 13:42:37 2012 +0000

    BZ#838802 Config option to enable/disable volume leases
    
    Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>
    Change-Id: I3950be962f89c934f617752bbf1c79c61d400bda

http://gerrit.ovirt.org/#/c/6188/
Comment 7 Leonid Natapov 2012-07-30 10:17:58 EDT
vdsm-4.9.6-24.0.

Enabling the use_volume_leases generates the following section in the vm's domain xml file:
<lease>
      <lockspace>94e13138-9e52-46be-b50c-4ac0bcec0cf2</lockspace>
      <key>e4854f6c-2b3d-4e71-b339-e2c65c2872d1</key>
      <target path='/dev/94e13138-9e52-46be-b50c-4ac0bcec0cf2/leases' offset='110100480'/>
    </lease>

By default use_volume_leases disbaled.
Disabling the use_volume_leases (use_volume_leases=false) disables it.

Fixed.
Comment 12 errata-xmlrpc 2012-12-04 14:02:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.